# Overview

## Build steps

```shell
docker build -t ansible-docker -f ansible-server/Dockerfile .
docker build -t ansible-client -f ansible-client/Dockerfile .
```

## Starting containers

```shell
docker container run -it -v $(pwd):/tmp/ansible ansible-docker bash
for _i in {1..3}; do docker container run --name ansible-client$_i -it -d ansible-client; done
```

## Get IP addresses

```shell
docker ps -q | xargs -n 1 docker inspect --format '{{ .Config.Hostname }} {{ .NetworkSettings.IPAddress }} {{ .Name }}' | sed 's/ \// /'
```

## Remove client containers

```shell
for _c in $(docker container ps -f name=ansible-client -q); do docker container rm $_c -f; done
```
